curl --request PATCH \
--url https://api.usenotra.com/v1/brand-identities/{brandIdentityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isDefault": true
}
'{
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
},
"brandIdentity": {
"id": "<string>",
"name": "<string>",
"isDefault": true,
"websiteUrl": "<string>",
"companyName": "<string>",
"companyDescription": "<string>",
"toneProfile": "<string>",
"customTone": "<string>",
"customInstructions": "<string>",
"audience": "<string>",
"language": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Update a single brand identity
Updates brand identity fields. Pass isDefault: true to make the target brand identity the organization’s default.
PATCH
https://api.usenotra.com
/
v1
/
brand-identities
/
{brandIdentityId}
curl --request PATCH \
--url https://api.usenotra.com/v1/brand-identities/{brandIdentityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isDefault": true
}
'{
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
},
"brandIdentity": {
"id": "<string>",
"name": "<string>",
"isDefault": true,
"websiteUrl": "<string>",
"companyName": "<string>",
"companyDescription": "<string>",
"toneProfile": "<string>",
"customTone": "<string>",
"customInstructions": "<string>",
"audience": "<string>",
"language": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Path Parameters
Minimum string length:
1Pattern:
^[A-Za-z0-9_-]{1,100}$Example:
"51c2f3aa-efdd-4e28-8e69-23fa2dfd3561"
Body
application/json
Required string length:
1 - 120Example:
"Notra"
Minimum string length:
1Example:
"https://usenotra.com"
Required string length:
1 - 200Example:
"Notra"
Required string length:
10 - 4000Example:
"AI-native content workflows for software teams."
Set a preset tone profile. When provided without customTone, any saved custom tone is cleared.
Available options:
Conversational, Professional, Casual, Formal, null Example:
"Professional"
Provide a custom tone override. Send an empty string or null to clear it.
Maximum string length:
1000Example:
"Clear, direct, and technically confident"
Maximum string length:
4000Example:
"Avoid hype. Prioritize concrete examples."
Required string length:
10 - 1000Example:
"Engineering leaders and developer tooling teams."
Available options:
English, Spanish, French, German, Portuguese, Dutch, Italian, Japanese, Korean, Chinese, Arabic, Hindi, Russian, Turkish, Polish, Swedish, Danish, Norwegian, Finnish, Czech, Romanian, Hungarian, Greek, Thai, Vietnamese, Indonesian, Ukrainian, Hebrew, null Example:
"English"
Set this brand identity as the organization's default. Only true is accepted.
Available options:
true Example:
true
Last modified on October 2, 2026
Was this page helpful?